Subject: Re: bug#12839: 24.3.50; Emacs aborts in GC

From: Dmitry Antipov <[email-masked]>
Date: Fri, 09 Nov 2012 18:46:39 +0400

On 11/09/2012 06:16 PM, Eli Zaretskii wrote:

> I applied this together with the other patch you sent, and the 2
> crashes I saw earlier do not happen anymore.  Thanks.

Good news.

>> This is Windows-specific and obviously wrong since sizeof (struct vectorlike_header)
>> is now _less than_ sizeof (EMACS_INT) + sizeof (struct Lisp_Vector *).
>
> If it's wrong, why use it?  What would be the right change?

Heh, sorry, I mean that current code (not my patch) is wrong :-( and
so w32 scroll bar should use the convenient struct vectorlike_header.

Installed as r110855.

Dmitry